summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Matteo Bernardini2013-06-04 23:15:43 +0200
committer Robby Workman2013-06-05 10:17:45 +0200
commitded40d930b96b42bcf9dd589ddf66358f82ce79f (patch)
treeda484c1740052909e47c902788f91e1a4d6f8ef8 /system
parent0f96596e5bf69f6ff5097edc7b01f35932ab63e7 (diff)
downloadslackbuilds-ded40d930b96b42bcf9dd589ddf66358f82ce79f.tar.gz
system/ack: Added (grep for coders)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/ack/README9
-rw-r--r--system/ack/ack.SlackBuild56
-rw-r--r--system/ack/ack.info10
-rw-r--r--system/ack/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/system/ack/README b/system/ack/README
new file mode 100644
index 0000000000..f6b9f1394e
--- /dev/null
+++ b/system/ack/README
@@ -0,0 +1,9 @@
+ack (grep for coders)
+
+ack is a tool like grep, optimized for programmers.
+Designed for programmers with large heterogeneous trees of source
+code, ack is written purely in portable Perl 5 and takes advantage
+of the power of Perl's regular expressions.
+
+This script packages the all-in-one version, including inside all
+the needed dependencies.
diff --git a/system/ack/ack.SlackBuild b/system/ack/ack.SlackBuild
new file mode 100644
index 0000000000..274a710c68
--- /dev/null
+++ b/system/ack/ack.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for ack
+# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ack
+VERSION=${VERSION:-2.02}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT
+install -m 0755 -o root -g root -D $CWD/$PRGNAM-$VERSION-single-file \
+ $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ack/ack.info b/system/ack/ack.info
new file mode 100644
index 0000000000..c6d2b3946b
--- /dev/null
+++ b/system/ack/ack.info
@@ -0,0 +1,10 @@
+PRGNAM="ack"
+VERSION="2.02"
+HOMEPAGE="http://beyondgrep.com"
+DOWNLOAD="http://beyondgrep.com/ack-2.02-single-file"
+MD5SUM="764973164e47f956f0521ccc58169116"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/system/ack/slack-desc b/system/ack/slack-desc
new file mode 100644
index 0000000000..c43ff3b476
--- /dev/null
+++ b/system/ack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ack: ack (grep for coders)
+ack:
+ack: ack is a tool like grep, optimized for programmers.
+ack: Designed for programmers with large heterogeneous trees of source
+ack: code, ack is written purely in portable Perl 5 and takes advantage
+ack: of the power of Perl's regular expressions.
+ack:
+ack: homepage: http://beyondgrep.com
+ack:
+ack:
+ack: